From 7c5acb8ab83ee278f6a16c7279c3a12ca93499e9 Mon Sep 17 00:00:00 2001
From: Bernd Waibel <waebbl@gmail.com>
Date: Sat, 5 Dec 2020 13:38:03 +0100
Subject: [PATCH] avoid calling ar directly

Signed-off-by: Bernd Waibel <waebbl@gmail.com>
---
 configure.ac               | 2 +-
 deps/wagyu/Makefile.in     | 4 +++-
 libpgcommon/Makefile.in    | 4 +++-
 raster/rt_core/Makefile.in | 1 +
 4 files changed, 8 insertions(+), 3 deletions(-)

diff --git a/configure.ac b/configure.ac
index 4f26390..362d3e6 100644
--- a/configure.ac
+++ b/configure.ac
@@ -14,7 +14,7 @@ AC_CONFIG_HEADERS([postgis_config.h])
 AC_CONFIG_MACRO_DIR([macros])
 AC_CONFIG_AUX_DIR([build-aux])
 AC_PROG_INSTALL
-
+AM_PROG_AR
 
 dnl Invoke libtool: we do this as it is the easiest way to find the PIC
 dnl flags required to build liblwgeom
diff --git a/deps/wagyu/Makefile.in b/deps/wagyu/Makefile.in
index 03d2279..05d6629 100644
--- a/deps/wagyu/Makefile.in
+++ b/deps/wagyu/Makefile.in
@@ -28,6 +28,8 @@ LDFLAGS = @LDFLAGS@
 top_builddir = @top_builddir@
 libdir = @libdir@
 LIBTOOL = @LIBTOOL@
+AR = @AR@
+ARFLAGS = rs
 
 WAGYU_OBJS = \
 	lwgeom_wagyu.o
@@ -78,7 +80,7 @@ WAGYU_HEADERS = \
 all: @WAGYU_LIB@
 
 @WAGYU_LIB@: $(WAGYU_OBJS)
-	ar rs @WAGYU_LIB@ $(WAGYU_OBJS)
+	$(AR) $(ARFLAGS) @WAGYU_LIB@ $(WAGYU_OBJS)
 
 $(WAGYU_OBJS): %.o: %.cpp ../../liblwgeom/liblwgeom.h $(WAGYU_HEADERS)
 	$(CXX) $(CXXFLAGS) -c -o $@ $<
diff --git a/libpgcommon/Makefile.in b/libpgcommon/Makefile.in
index c44cf5b..78eb282 100644
--- a/libpgcommon/Makefile.in
+++ b/libpgcommon/Makefile.in
@@ -12,6 +12,8 @@
 CC=@CC@
 CFLAGS=-I../liblwgeom @WARNFLAGS@ @CFLAGS@ @PGSQL_BE_CPPFLAGS@ @PROJ_CPPFLAGS@ @PICFLAGS@ @GETTEXT_CFLAGS@
 LDFLAGS=@GETTEXT_LDFLAGS@ @LIBINTL@
+AR = @AR@
+ARFLAGS = rs
 
 NUMERICFLAGS=@NUMERICFLAGS@
 
@@ -39,7 +41,7 @@ all: libpgcommon.a
 install uninstall:
 
 libpgcommon.a: $(SA_OBJS) $(SA_HEADERS)
-	ar rs libpgcommon.a $(SA_OBJS)
+	$(AR) $(ARFLAGS) libpgcommon.a $(SA_OBJS)
 
 maintainer-clean: clean
 
diff --git a/raster/rt_core/Makefile.in b/raster/rt_core/Makefile.in
index 380a3e7..b399661 100644
--- a/raster/rt_core/Makefile.in
+++ b/raster/rt_core/Makefile.in
@@ -18,6 +18,7 @@
 #
 #############################################################################
 
+AR = @AR@
 ARFLAGS = rs
 
 CC = @CC@
-- 
2.29.2

